CREATE TABLE MojaTabela(element VARCHAR2(20), rodzic VARCHAR2(20));
INSERT INTO MojaTabela VALUES('Poziom1Element1',NULL);
INSERT INTO MojaTabela VALUES('Poziom1Element2',NULL);
INSERT INTO MojaTabela VALUES('Poziom1Element3',NULL);
INSERT INTO MojaTabela VALUES('Poziom2Element1','Poziom1Element1');
INSERT INTO MojaTabela VALUES('Poziom2Element2','Poziom1Element1');
INSERT INTO MojaTabela VALUES('Poziom2Element3','Poziom1Element2');
INSERT INTO MojaTabela VALUES('Poziom3Element1','Poziom2Element1');

SELECT lpad(' ',2*(level-1)) || to_char(element) 
FROM MojaTabela 
START WITH rodzic IS NULL
CONNECT BY PRIOR element = rodzic;
